/*
 * include/linux/gpiodev.h
 *
 *  Author:  Florian PANTALEAO
 *
 * Copyright (C) 2009 Mobisense Systems.
 *
 *  This program is free software; you can redistribute  it and/or modify it
 *  under  the terms of  the GNU General  Public License as published by the
 *  Free Software Foundation;  either version 2 of the  License, or (at your
 *  option) any later version.
 *
 *  THIS  SOFTWARE  IS PROVIDED   ``AS  IS'' AND   ANY  EXPRESS OR IMPLIED
 *  WARRANTIES,   INCLUDING, BUT NOT  LIMITED  TO, THE IMPLIED WARRANTIES OF
 *  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN
 *  NO  EVENT  SHALL   THE AUTHOR  BE    LIABLE FOR ANY   DIRECT, INDIRECT,
 *  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED   TO, PROCUREMENT OF  SUBSTITUTE GOODS  OR SERVICES; LOSS OF
 *  USE, DATA,  OR PROFITS; OR  BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 *  ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 *  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *  You should have received a copy of the  GNU General Public License along
 *  with this program; if not, write  to the Free Software Foundation, Inc.,
 *  675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __GPIODEV_H
#define __GPIODEV_H

struct gpiodev_add {
	unsigned int gpio;
	unsigned int input;
	unsigned int init_state;
	unsigned int permanent;	/* outputs only */
};

struct gpiodev_get {
	unsigned int gpio;
	unsigned int state;
};

#define IOCGPIODEVADD	_IOWR('m',10,struct gpiodev_add)
#define IOCGPIODEVREM	_IOW ('m',11,unsigned int)
#define IOCGPIODEVGET	_IOWR('m',12,struct gpiodev_get)
#define IOCGPIODEVSET	_IOW ('m',13,unsigned int)
#define IOCGPIODEVCLR	_IOW ('m',14,unsigned int)

extern const int gpiodev_nr_unused_gpios;
extern const int gpiodev_unused_gpios[];

#endif
