/*
 *  include/linux/pxa_pwm.h
 *
 *  Author:  Florian PANTALEAO
 *
 *  Copyright (C) 2007 Mobisense Systems.
 *
 *  This program is free software; you can redistribute  it and/or modify it
 *  under  the terms of  the GNU General  Public License as published by the
 *  Free Software Foundation;  either version 2 of the  License, or (at your
 *  option) any later version.
 *
 *  THIS  SOFTWARE  IS PROVIDED   ``AS  IS'' AND   ANY  EXPRESS OR IMPLIED
 *  WARRANTIES,   INCLUDING, BUT NOT  LIMITED  TO, THE IMPLIED WARRANTIES OF
 *  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN
 *  NO  EVENT  SHALL   THE AUTHOR  BE    LIABLE FOR ANY   DIRECT, INDIRECT,
 *  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED   TO, PROCUREMENT OF  SUBSTITUTE GOODS  OR SERVICES; LOSS OF
 *  USE, DATA,  OR PROFITS; OR  BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 *  ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 *  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *  You should have received a copy of the  GNU General Public License along
 *  with this program; if not, write  to the Free Software Foundation, Inc.,
 *  675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __PXA_PWM_H
#define __PXA_PWM_H

#if defined(CONFIG_PXA27x)
#define NR_PXA_PWM              4
#endif
#ifndef NR_PXA_PWM
#define NR_PXA_PWM              2
#endif

struct pxa_pwm_add {
  unsigned int nr;
  unsigned int f_hz;
  unsigned int duty;
};

struct pxa_pwm_chg {
  unsigned int nr_chg;
  struct {
    unsigned int nr;
    unsigned int val;
  } pwm[NR_PXA_PWM];
};

#define PXAIOCPWMADD	_IOW('m',20,struct pxa_pwm_add)
#define PXAIOCPWMREM	_IOW('m',21,unsigned int)
#define PXAIOCPWMDUTY	_IOW('m',22,struct pxa_pwm_chg)

#endif
